zenilib: zenilib/jni/external/freetype2/src/gxvalid/gxvtrak.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Typedefs | Functions
gxvtrak.c File Reference
`#include "gxvalid.h"`
`#include "gxvcommn.h"`

Go to the source code of this file.

## Macros

#define | FT_COMPONENT trace_gxvtrak
#define | GXV_TRAK_DATA(FIELD) GXV_TABLE_DATA( trak, FIELD )

## Typedefs

typedef struct GXV_trak_DataRec_ * | GXV_trak_Data
typedef struct GXV_trak_DataRec_ | GXV_trak_DataRec

## Functions

static void | gxv_trak_trackData_validate (FT_Bytes table, FT_Bytes limit, GXV_Validator valid)
static void | gxv_trak_trackTable_validate (FT_Bytes table, FT_Bytes limit, FT_UShort nTracks, GXV_Validator valid)
| gxv_trak_validate (FT_Bytes table, FT_Face face, FT_Validator ftvalid)

## Macro Definition Documentation

#define FT_COMPONENT trace_gxvtrak

Definition at line 38 of file gxvtrak.c.

#define GXV_TRAK_DATA | ( |  | FIELD | ) | GXV_TABLE_DATA( trak, FIELD )

Definition at line 81 of file gxvtrak.c.

Referenced by gxv_trak_trackData_validate(), and gxv_trak_trackTable_validate().

## Typedef Documentation

typedef struct GXV_trak_DataRec_ * GXV_trak_Data

typedef struct GXV_trak_DataRec_ GXV_trak_DataRec

## Function Documentation

static void gxv_trak_trackData_validate | ( | FT_Bytes | table,
|  | FT_Bytes | limit,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 143 of file gxvtrak.c.

References FT_NEXT_ULONG, FT_NEXT_USHORT, GXV_EXIT, GXV_LIMIT_CHECK, GXV_NAME_ENTER, GXV_ODTECT, gxv_odtect_add_range(), GXV_ODTECT_INIT, gxv_odtect_validate(), GXV_TRACE, GXV_TRAK_DATA, gxv_trak_trackTable_validate(), GXV_ValidatorRec_::root, and GXV_ValidatorRec_::subtable_length.

Referenced by gxv_trak_validate().

static void gxv_trak_trackTable_validate | ( | FT_Bytes | table,
|  | FT_Bytes | limit,
|  | FT_UShort | nTracks,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 93 of file gxvtrak.c.

References FT_NEXT_LONG, FT_NEXT_USHORT, GXV_EXIT, GXV_LIMIT_CHECK, GXV_NAME_ENTER, gxv_sfntName_validate(), GXV_TRACE, GXV_TRAK_DATA, i, j, and GXV_ValidatorRec_::subtable_length.

Referenced by gxv_trak_trackData_validate().

gxv_trak_validate | ( | FT_Bytes | table,
|  | FT_Face | face,
|  | FT_Validator | ftvalid
| ) |  |

Definition at line 206 of file gxvtrak.c.

References GXV_ValidatorRec_::face, FT_INVALID_DATA, FT_INVALID_FORMAT, FT_NEXT_ULONG, FT_NEXT_USHORT, FT_TRACE3, FT_TRACE4, GXV_32BIT_ALIGNMENT_VALIDATE, GXV_INIT, GXV_LIMIT_CHECK, GXV_ODTECT, gxv_odtect_add_range(), GXV_ODTECT_INIT, gxv_odtect_validate(), GXV_TRACE, gxv_trak_trackData_validate(), GXV_ValidatorRec_::root, GXV_ValidatorRec_::subtable_length, GXV_ValidatorRec_::table_data, and version.